Tony Yun

    Tony Yun

    8 months ago
    Hi, one of our production jobs just failed twice next to each other. No changes are made from our side. Also it’s the first time we see this error. Is it anything special wrong that you know? I have restarted the job the second time. Please see in the thread for log exceptions.
    Task 'RunNamespacedJob': Exception encountered during task execution!
    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/site-packages/urllib3/response.py", line 697, in _update_chunk_length
        self.chunk_left = int(line, 16)
    ValueError: invalid literal for int() with base 16: b''
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/site-packages/urllib3/response.py", line 438, in _error_catcher
        yield
      File "/usr/local/lib/python3.7/site-packages/urllib3/response.py", line 764, in read_chunked
        self._update_chunk_length()
      File "/usr/local/lib/python3.7/site-packages/urllib3/response.py", line 701, in _update_chunk_length
        raise InvalidChunkLength(self, line)
    urllib3.exceptions.InvalidChunkLength: InvalidChunkLength(got length b'', 0 bytes read)
    Kevin Kho

    Kevin Kho

    8 months ago
    This seems like an API call that failed? Haven’t seen this error in relation to Prefect before
    Tony Yun

    Tony Yun

    8 months ago
    Alright. I’ll look into it. Thanks!